VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form Form1 
   Caption         =   "TCP_IP Client  Multimeter"
   ClientHeight    =   3228
   ClientLeft      =   48
   ClientTop       =   348
   ClientWidth     =   4200
   LinkTopic       =   "Form1"
   ScaleHeight     =   3228
   ScaleWidth      =   4200
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton Command5 
      Caption         =   "1000V AC"
      Height          =   252
      Left            =   3240
      TabIndex        =   13
      Top             =   2760
      Width           =   852
   End
   Begin VB.CommandButton Command4 
      Caption         =   "100V DC"
      Height          =   252
      Left            =   3240
      TabIndex        =   12
      Top             =   2400
      Width           =   852
   End
   Begin VB.CommandButton Command3 
      Caption         =   "TEST"
      Height          =   252
      Left            =   3240
      TabIndex        =   11
      Top             =   2040
      Width           =   852
   End
   Begin VB.CommandButton Command2 
      Caption         =   "*RST"
      Height          =   252
      Left            =   3240
      TabIndex        =   10
      Top             =   1680
      Width           =   852
   End
   Begin VB.CommandButton Command1 
      Caption         =   "*IDN?"
      Height          =   252
      Left            =   3240
      TabIndex        =   9
      Top             =   1320
      Width           =   852
   End
   Begin VB.TextBox Text2 
      Height          =   372
      Left            =   1200
      TabIndex        =   8
      Text            =   "Text2"
      Top             =   2760
      Width           =   1932
   End
   Begin VB.CommandButton OpenButton 
      Caption         =   "Open"
      Height          =   612
      Left            =   2400
      TabIndex        =   7
      Top             =   120
      Width           =   852
   End
   Begin VB.TextBox IP_Port 
      Height          =   288
      Left            =   1200
      TabIndex        =   5
      Text            =   "5025"
      Top             =   480
      Width           =   1092
   End
   Begin VB.TextBox IP 
      Height          =   288
      Left            =   1200
      TabIndex        =   3
      Text            =   "10.1.100.80"
      Top             =   120
      Width           =   1092
   End
   Begin VB.TextBox txtMsg 
      Height          =   1332
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   2
      Top             =   1320
      Width           =   3012
   End
   Begin VB.TextBox Text1 
      Height          =   288
      Left            =   1200
      TabIndex        =   1
      Text            =   "READ?"
      Top             =   960
      Width           =   1092
   End
   Begin VB.CommandButton Send 
      Caption         =   "Send"
      Height          =   252
      Left            =   120
      TabIndex        =   0
      Top             =   960
      Width           =   852
   End
   Begin MSWinsockLib.Winsock Winsock1 
      Left            =   2520
      Top             =   840
      _ExtentX        =   593
      _ExtentY        =   593
   End
   Begin VB.Label Label3 
      Caption         =   "Last Value"
      Height          =   252
      Left            =   120
      TabIndex        =   14
      Top             =   2880
      Width           =   972
   End
   Begin VB.Label Label2 
      Caption         =   "TCP_IP Port"
      Height          =   252
      Left            =   120
      TabIndex        =   6
      Top             =   480
      Width           =   972
   End
   Begin VB.Label Label1 
      Caption         =   "Multimeter_IP"
      Height          =   252
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   1212
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
  Winsock1.SendData "*IDN?" & Chr(13) & Chr(10)
End Sub

Private Sub Command2_Click()
  Winsock1.SendData "*RST" & Chr(13) & Chr(10)
End Sub

Private Sub Command3_Click()
  Winsock1.SendData "*TST?" & Chr(13) & Chr(10)
End Sub

Private Sub Command4_Click()
  Winsock1.SendData "MEAS:VOLT:DC? 100,0.001" & Chr(13) & Chr(10)
End Sub

Private Sub Command5_Click()
  Winsock1.SendData "MEAS:VOLT:AC? 1000,0.001" & Chr(13) & Chr(10)
End Sub

Private Sub Form_Load()
  ' Send Button deaktivieren
  Send.Enabled = False
End Sub

Private Sub OpenButton_Click()
 Dim ServerIP As String
 Dim Port As Integer
' Die IP-Adresse und Port Nummer des Servers
  ServerIP = IP.Text
  Port = IP_Port.Text
  ' 1. Parameter: Computername /-ip
  ' 2. Parameter: Portnummer
  Winsock1.Connect ServerIP, Port
  
End Sub

' Wenn eine direkte Verbindung aufgebaut ist
Private Sub Winsock1_Connect()
  ' Jezt knnen wir mit dem Button die Nachricht senden
  Send.Enabled = True
  OpenButton.Enabled = False
End Sub
Private Sub Send_Click()
  ' Nachricht an Server senden
  Winsock1.SendData Text1.Text & Chr(13) & Chr(10)
End Sub
' Wenn Daten ankommen
Private Sub Winsock1_DataArrival(ByVal bytesTotal As Long)
  Dim sData As String
    
  ' Die ankommenden Daten werden in einer Variable
  ' (strDaten) gespeichert
  Winsock1.GetData sData
 
  ' Und in einer MutliLine-TextBox ausgegeben
  With txtMsg
    .SelStart = Len(.Text)
    .SelText = sData
  End With
  
  Text2.Text = Val(sData) ' Messdaten anzeigen
  
End Sub
' Wenn die Verbindung geschlossen wird
Private Sub Winsock1_Close()
  ' Ohne Verbindung kann man auch keine
  ' Nachrichten senden: Button Aus
  Send.Enabled = False
End Sub
